org.apache.tools.ant.taskdefs.optional

## Class XMLValidateTask.Property

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.XMLValidateTask.Property

- Enclosing class:
    XMLValidateTask

      public static final class XMLValidateTask.Property
      extends java.lang.Object

  A Parser property. See XML parser properties for usable properties
  Since:
    ant 1.6.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` accessor to the name of the property
    `java.lang.String` | `getValue()` getter for the value of the property
    `void` | `setName(java.lang.String name)` setter for the name of the property
    `void` | `setValue(java.lang.String value)` sets the value of the property

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      accessor to the name of the property
      Returns:
        name of the property

    - #### setName

          public void setName(java.lang.String name)

      setter for the name of the property
      Parameters:
        `name` - name of the property

    - #### getValue

          public java.lang.String getValue()

      getter for the value of the property
      Returns:
        value of the property

    - #### setValue

          public void setValue(java.lang.String value)

      sets the value of the property
      Parameters:
        `value` - value of the property